# class Tk::BWidget::Entry

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

invoke() click to toggle source

    # File lib/tkextlib/bwidget/entry.rb, line 40
    def invoke
      tk_send_without_enc('invoke')
      self
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__boolval_optkeys

    # File lib/tkextlib/bwidget/entry.rb, line 30
    def __boolval_optkeys
      super() << 'dragenabled' << 'dropenabled' << 'editable'
    end

__strval_optkeys() click to toggle source
Calls superclass method Tk::Entry#__strval_optkeys

    # File lib/tkextlib/bwidget/entry.rb, line 25
    def __strval_optkeys
      super() << 'helptext' << 'insertbackground'
    end

__tkvariable_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__tkvariable_optkeys

    # File lib/tkextlib/bwidget/entry.rb, line 35
    def __tkvariable_optkeys
      super() << 'helpvar'
    end